@import 'https://mxdhardware.com/wp-content/themes/MxDHardware/style.css';
.brands::-webkit-scrollbar, .tab_container::-webkit-scrollbar, .right-container::-webkit-scrollbar {width: 0px;}

h1, h2 {
	margin: 0;
	line-height: 1;
	font-size: clamp(1.5em, 3.4vw, 3.8em);
}

/* Search Input */
.form-responsive{display: none !important;}

#wrap {
	margin: 0;
	padding: 0;
	display: block;
	position: relative;
}

#wrap form{height: auto;}

section input[type="text"] {
  top: 0;
  right: 0;
  z-index: 3;
  width: 0px;
  color: white;
  outline: none;
  border: none;
  height: 50px;
  padding: 3px;
  cursor: pointer;
  font-weight: 100;
  background: none;
  position: absolute;
  display: inline-block;
  padding-right: 60px;
	font-size: clamp(1em, 2.3vw, 2.1em);
  transition: width .4s cubic-bezier(0.000, 0.795, 0.000, 1.000);
}

input[type="text"]:focus:hover {border-bottom: 1px solid #BBB;}

input[type="text"]:focus {
  z-index: 1;
  cursor: text;
  width: 100%;
  border-bottom: 1px solid #BBB;
}

input[type="submit"] {
  top: 0;
  right: 0;
  color:red;
  z-index: 2;
  opacity: 0.4;
  float: right;
  width: 53px;
  height: 47px;
  border: none;
  cursor: pointer;
  position: absolute;
  display: inline-block;
  text-indent: -10000px;
  transition: opacity .4s ease;
  background: url(data:image/png;base64,UklGRsIEAABXRUJQVlA4WAoAAAAwAAAALwAALwAASUNDUMgBAAAAAAHIAAAAAAQwAABtbnRyUkdCIFhZWiAAAAAAAAAAAAAAAABhY3NwAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAQAA9tYAAQAAAADTLQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAlkZXNjAAAA8AAAACRyWFlaAAABFAAAABRnWFlaAAABKAAAABRiWFlaAAABPAAAABR3dHB0AAABUAAAABRyVFJDAAABZAAAAChnVFJDAAABZAAAAChiVFJDAAABZAAAAChjcHJ0AAABjAAAADxtbHVjAAAAAAAAAAEAAAAMZW5VUwAAAAgAAAAcAHMAUgBHAEJYWVogAAAAAAAAb6IAADj1AAADkFhZWiAAAAAAAABimQAAt4UAABjaWFlaIAAAAAAAACSgAAAPhAAAts9YWVogAAAAAAAA9tYAAQAAAADTLXBhcmEAAAAAAAQAAAACZmYAAPKnAAANWQAAE9AAAApbAAAAAAAAAABtbHVjAAAAAAAAAAEAAAAMZW5VUwAAACAAAAAcAEcAbwBvAGcAbABlACAASQBuAGMALgAgADIAMAAxADZBTFBIfQAAAAEPMP8REcJtbFtxc/9oIVQJlKK2nEFplPJLwNFuXqDdFUT0fwLY7zLgqQA0RUCaIaecoEQaeOBpeEc1quHdxhNK2LhB/q8nlK1qeLfhHdXwwNMokQY5ZQWQNEGTIjz1mMF1TwBVC5cBRR2QFQA0LVpcfFee06KGhXeLYoujAFZQOCBOAgAAcA0AnQEqMAAwAD5tNJRIJCKhoSOMAIANiWkNsACG0yII8Zug8AO1J4waLPzl/9DyWflX+V9gj+R/0XrAegX+rJRGj+C/77NOh4xbE5l4vdnFKzi3UiXp9x2ySAvZBERC+0xYQ/OIomn/uf8anyLMta24yAAA/ujKIFOy1J6svbKLRbDIFlgbGD0YSJjcDLMmT6HF+Ahhws2hbMSP75OlYum/ZqJBCI35e4Z9v02vV6LjNsJ7Qb1FMvfV+01M6UfERJvLxrpt9DtDav/Te/P7/BZxGI2R895/7/CCrjSvLwzOuN0PGZH+/jFH+gs9o//l0IPwMvb3LtEku3rDF8T8fnWhEl1XcDTBbX/kjaPqz7JmcHsDxCstmonamb/Y+hLUR5prpYCPCv/8oTAs0JwDRf9VJS0mLlU89x0IMX1iEY3/Zj3JDnXkjnNyJ0K7NvI+ApG+uW1zFlk00Y/OhY1IPX0YjohJEf8t8OnQR9Iic+C5bXz9q9SYKmdVVfUSB3I1vgj/7kqmKE6L2v6H8Z6a7aHv8u37n7JlvbiaL878uggNoKdXaXrkv+/1GDCb2sjyXmcpl6QGMAaQaeS7VvSuFSYx8Pnru6wF/2sf//Y8f/2GZ//2M0mxXfIooggKoYw4NN+ZxUE/4fntvt9/lmJA/g6A9ACtBiHHHfYH/2JZT+UEJfSWWG4W9RKybHT4RmnwThHjE0gq+qxrjfbNd0GNPmG99EyBOkDRpIrmfjxrA8V9Yw+0f6+5Xn2x5tq+SlU8S3fc1H93q3Ll7ZSYAAA=) center center no-repeat;
  background-size: 100%;
}

input[type="submit"]:hover {opacity: 0.8;}
/* End */

/* General Flex */
.repository-container{
	display: flex;
	height: 100vh;
	max-width: 100%;
	flex-direction: row;
	padding-top: 100px;
  border-bottom: 1px solid darkgrey;
}

h4{
	font-size: 19px;
	padding: 0 10px;
	font-weight: 400;
	text-align: center;
	margin: 0 auto 10px;
}

.brands, .tab_container, .right-container{
	height: 88vh;
	overflow-y: scroll;
	padding-bottom: 3em;
}

.brands{padding-bottom: 5em;}
.repository-cols{padding: 10px 10px 0;}
/* End */

/*Column #1*/
.repository-cols:nth-child(1){width: 20%;}

.brands{
	width: 100%;
	display: flex;
  margin-top: 3.6em;
	flex-direction: column;
}

.tabs {
	gap: 0.6vw;
	display: flex;
	padding: 0 10px;
	flex-wrap: wrap;
	align-items: center;
	flex-direction: row;
	justify-content: center;
}

.tabs li {
  width: 48%;
  cursor: pointer;
	list-style: none;
}

.tabs li.active {
	transition: 0.4s;
	transform: scale(1);
	border-radius: 22px;
	border: 5px solid hsl(349.63deg 95.54% 43.92%);
}

.tabs li.active img:hover{
	transition: 0.4s;
	transform: scale(1);
}

.brands img {
	width: 100%;
	height: 4.2vw;
	transition: 0.4s;
	padding: 0 10px;
	object-fit: contain;
	border-radius: 15px;
	background-color: white;
	display: block !important;
}

.tabs li img:hover {transform: scale(0.9, 0.9);}
.tabs li h6{display: none;}
/* End */

/*Column #2 */
.repository-cols:nth-child(2){
	width: 60%;
	padding: 10px 2em 0;
	border-left: 1px solid #a1a7b6;
	border-right: 1px solid #a1a7b6;
}

.intro{
	display: flex;
	align-items: center;
	flex-direction: row;
  margin-bottom: 30px;
  border-bottom: 1px solid gray;
}

.intro-side:first-child{width: 60%;}
.intro-side:last-child{width: 40%;}

/* .tab_container{padding-top: 20px;} */	

.sticky-active{
	top: 0;
	position: sticky;
	background-color: black;
}

.sticky-active h3{margin-top: 10px;}

.tab_container h3{
	line-height: 1.1;
	font-size: clamp(1.1em, 2vw, 2.1em);
}

.card-container{
	display: flex;
	margin-bottom: 30px;
  padding-bottom: 30px;
	flex-direction: column;
	align-items: flex-start;
  border-bottom: 1px solid #a1a7b6;
}

.card-container h4{
	padding: 0;
	text-align: left;
	margin: 0 0 10px;
}

.card-container:last-child{border-bottom: none;}

.card-sides-container{
	display: flex;
  flex-direction: row;
}

.card-left{margin-right: 30px;}

.card-left h4{
	text-align: left;
	font-size: 19px;
	margin: 0 0 10px;
	font-weight: normal;
	text-transform: capitalize;
}

.img-container{
	width: 320px;
	height: 187px;
	border-radius: 15px;
	background-size: cover;
	background-repeat: no-repeat;
  background-position: 40% 100%;
	background-image: url('https://mxdhardware.com/wp-content/uploads/2023/08/Background-Pattern.webp');
}

.card-left .hardware-img{
	width: 100%;
	height: 100%;
  object-fit: contain;
	border-radius: 15px;
}

.card-right{
	display: flex;
	flex-direction: column;
	justify-content: center;
}

.card-right h3{
	margin: 0;
	font-size: clamp(1.1em, 3vw, 2.5em);
}

.card-right p{
	margin: 0;
	color: #a1a7b6;
}

.dots{
	width: 99.5%;
	overflow: hidden;
	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
}
/* End */

/*Column #3 */
.repository-cols:nth-child(3){width: 21%;}
.ads {margin: 0 auto 3em;}

.items span{
	color: black;
	width: 90%;
	cursor: pointer;
	font-size: 15px;
	padding: 5px 0px;
	text-align: center;
	border-radius: 10px;
	margin: 0 15px 10px 0;
	background-color: whitesmoke;
}

.items ul{
	gap: 5px;
	padding: 0;
	display: grid;
	list-style: none;
	max-width: 350px;
	margin: 0 auto 3em;
	justify-items: center;
	justify-content: center;
	grid-template-rows: auto;
	grid-template-columns: repeat(auto-fill, minmax(min(100%, 3.5em), 1fr));
}

.items li{
	color: black;
	width: 90%;
	cursor: pointer;
	font-size: 15px;
	padding: 5px 0px;
	text-align: center;
	border-radius: 10px;
	margin: 0 15px 10px 0;
	background-color: whitesmoke;
}

li.mixitup-control-active {
	color: white;
	background-color: maroon;
}

.to-laptop{display: none;}
.responsive-ad{display: none;}
/* End */

/* More Hardware */
.more-hardware {padding: 5em 3.6vw;}
.more-repositories {margin: 3em 0;}

.more-repositories .card-repository:nth-child(even) figure img{
	position: absolute;
	left: 50%;
	top: 25%;
	width: 70%;
	transform: translateX(calc(var(--hover) * -15%)) scale(calc(1 + (var(--hover) * 0.2))) rotate(45deg);
	transition: transform 0.2s;
}

.card-repository h3 {
	margin: 0;
	left: 15px;
	top: -0.5em;
	display: flex;
	line-height: 1;
	position: relative;
	text-shadow: 3px -3px 11px black;
	font-size: clamp(2.1em, 2.4vw, 3.8em);
}

.card-repository {
  --hover: 0;
  display: block;
  margin: 0 15px;
  position: relative;
  width: fit-content;
}

.card-repository:hover {--hover: 1;}

figure {
  width: 100%;
  aspect-ratio: 8 / 4;
  --bg: hsl(0 80% calc(90% - (var(--hover) * 10%)));
  --accent: #131313;
  transition: background 0.2s;
/*   background: radial-gradient(circle at top left, var(--accent), transparent 75%), var(--bg); */
  background: radial-gradient(circle at top left, var(--accent), #800000e8 75%), var(--bg);
  margin: 0;
  position: relative;
  overflow: hidden;
  border-radius: 1.5rem;
}

figure:after {
  content: "";
  position: absolute;
  width: 20%;
  aspect-ratio: 1;
  border-radius: 50%;
  bottom: 0%;
  left: 10%;
  background: linear-gradient(133deg, var(--bg) 50%, var(--accent) 50%)000;
  filter: blur(25px);
  transform:
    translateX(calc(var(--hover) * 15%))
    scale(calc(1 + (var(--hover) * 0.2)));
  transition: transform 0.2s, background 0.2s;
}

figure img {
  left: -10%;
  top: 5%;
  width: 70%;
  position: absolute;
  transform: translateX(calc(var(--hover) * -15%)) scale(calc(1 + (var(--hover) * 0.2)));
  transition: transform 0.2s;
}

.more-repositories .card-repository:nth-child(3) img, .more-repositories .card-repository:nth-child(9) img {top: 15%;}

.slick-prev:before, .slick-next:before {
	width: 50px;
	height: 50px;
	display: block;
	position: relative;
	background-size: contain;
	background-repeat: no-repeat;
	font-family: inherit !important;
}

.slick-next, .slick-prev {top: 40% !important;}
.slick-prev {left: -30px !important;}

.slick-prev:before {
	content: '' !important;
	background-image: url(https://mxdhardware.com/wp-content/uploads/2021/12/chev-left.png);
}

.slick-next:before {
	content: '' !important;
	background-image: url(https://mxdhardware.com/wp-content/uploads/2021/12/chev-right.png);
}
/* End */

/* Responsive Mode */
@media (max-width: 1920px) {
	.items li {width: 80%;}
}

@media (max-width: 1600px) {
	.items li {margin: 0 auto;}
}

@media (max-width: 1440px) {
	.intro-side:first-child{width: 50%;}
	.intro-side:last-child{width: 50%;}

	.tabs {gap: 10px;}
	.tabs li {width: 46%;}

	.to-laptop{display: block;}
	.to-desktop{display: none;}
}

@media (max-width: 1330px) {
	.img-container{
    width: 250px;
    height: 127px;
	}

	.items li {width: 100%;}
}

/* Responsive Fold Phones */
@media (min-width: 1284px) and (max-width: 2268px) {

}

/* Galaxy Fold 1 */
@media (min-width: 768px) and (max-width: 1076px) {
	.repository-cols:nth-child(1), .repository-cols:nth-child(3) {width: 25%;}
	.repository-cols:nth-child(2) {width: 50%;}
}

/* End */

@media (max-width: 1100px) {
	.intro-side p{display: none;}

	.repository-container {
		height: auto;
		flex-direction: column;
	}

	.repository-cols:nth-child(1), .repository-cols:nth-child(2), .repository-cols:nth-child(3) {width: 100%;}
	.intro-side h2 {line-height: 1.1;}
	#wrap {margin: 0 0px 60px;}

	.repository-cols:nth-child(1) {
    top: 30px;
    z-index: 99;
    padding: 0 2em;
    position: sticky;
	}

	.repository-cols:nth-child(2){border: none;}
	.brands, .tab_container, .right-container {height: auto;}

	.brands {
    margin-top: 40px;
		padding-bottom: 0;
	}

	.tabs {
    height: 70px;
		padding: 0 0 10px;
    overflow-x: scroll;
		flex-wrap: nowrap;
		justify-content: flex-start;
    background: linear-gradient( #08070e 0%, rgb(0 0 0 / 70%) 40%, rgba(255, 255, 255, 0) 100%);
	}
	

	.brands.sticky {
		left: 0;
		right: 0;
		top: 100px;
		width: 95%;
		z-index: 10;
		padding: 1em;
		position: fixed;
		margin: 0 auto;
		border-radius: 10px;
		backdrop-filter: blur(6.1px);
		background: rgb(23 23 23 / 50%);
		box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
	}

	.tabs::-webkit-scrollbar {height: 5px;}
	.tabs li {width: fit-content;}

	.brands img {
    height: 40px;
		width: 140px;
	}

	.items ul {max-width: 90%;}

	/* .tabs {padding: 0;} */
	/* .card-right p {font-size: 14px;} */
}

@media (max-width: 1024px) {
	
}

@media (max-width: 900px) {
	.form-desktop{display: none !important;}
	.brands {margin-top: 0;}
}

@media (max-width: 700px) {
	.intro-side:first-child {width: 60%;}
	.intro-side:last-child {width: 40%;}
	.card-repository {margin: 0 8px;}

	.slick-prev:before, .slick-next:before {
	  width: 20px;
	  height: 30px;
	}

	.slick-prev {left: -15px !important;}
	.slick-next {right: -15px !important;}
}

@media (max-width: 600px) {
	#wrap:first-child {margin: 0 0px 50px;}
	#wrap:last-child {margin: 0 0px 60px;}
	input[type="text"] {font-weight: 600;}

	input[type="submit"] {
		top: 11px;
		width: 33px;
		height: 37px;
	}

	.intro-side h2 {font-size: clamp(1.4em, 3.4vw, 3.8em);}
	.repository-container {padding-top: 50px;}

	.repository-cols:nth-child(1) {
    top: 73px;
    padding: 0 0 0 10px;
	}

	.repository-cols:nth-child(2){padding: 10px 10px 0;}
	.tabs {margin: 0;}
	.brands {margin-top: 0;}

	.tab_content {
    gap: 10px;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-between;
	}

	.card-container {
    width: 48%;
    flex-wrap: wrap;
    flex-direction: row;
    padding-bottom: 10px;
	}

	.card-sides-container {flex-direction: column;}
	.card-container:last-child {border-bottom: 1px solid #a1a7b6;}
	.card-left {margin-right: 0;}

	.card-left h4{
    margin: 0;
		padding: 0;
	}

	.card-right p {
		line-height: 1.2;
		font-size: 12px;
	}

	.img-container {
    width: 100%;
    height: 125px;
    margin: 0 auto 10px;
	}

	.card-right h3 {
    width: 99.5%;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
	}

	.card-container h4 {font-size: 15px;}

	span.date {
    margin: 0;
    padding: 0;
    display: block;
    font-size: 15px;
	}

	.responsive-ad{display: block;}
	.ads:first-child{display: none;}

	.more-hardware {padding: 3em 3.6vw 3em;}

	.more-repositories {
    width: 95%;
    margin: 1em auto 0;
	}

	figure {border-radius: 0.8rem;}
	.card-repository h3 {font-size: clamp(1.3em, 2.4vw, 3.8em);}
}

@media (max-width: 375px) {
	.card-container h4, span.date{font-size: 12px;}
	.card-repository h3 {font-size: clamp(1.8em, 2.4vw, 3.8em);}
}